MODULE Junk
    IMPLICIT NONE
    INTEGER, PARAMETER :: maxlength = 100
    CHARACTER(LEN=*),PARAMETER :: message = 'Kilroy was here'
    INTEGER, SAVE :: errors = 0
    REAL, ALLOCATABLE, DIMENSION(:), SAVE :: totals
END MODULE Junk
